var asdf = require("asdf-games");
// eslint-disable-next-line no-unused-vars
const { Container, TileSpriteXML, math, Texture, SpriteSheetXML, entity } = asdf;

const texture = new Texture("../res/images/onlyObjects_default.png");
const xml = new SpriteSheetXML("../res/images/onlyObjects_default.xml");

// properties = {
//     type: "",
//     explode: true | false,
//     pushable: true | false
// }

class Object extends TileSpriteXML {
  constructor(level, pos, properties) {
    var type;
    switch (properties.type) {
    case "crateMetal":
      type = "crateMetal.png";
      properties.pushable = (properties.pushable == undefined) ? true : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    case "crateWood":
      type = "crateWood.png";
      properties.pushable = (properties.pushable == undefined) ? true : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    case "fenceRed":
      type = "fenceRed.png";
      properties.pushable = (properties.pushable == undefined) ? true : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    case "fenceYellow":
      type = "fenceYellow.png";
      properties.pushable = (properties.pushable == undefined) ? true : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    case "wireCrooked":
      type = "wireCrooked.png";
      properties.pushable = (properties.pushable == undefined) ? false : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    case "wireStraight":
      type = "wireStraight.png";
      properties.pushable = (properties.pushable == undefined) ? false : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    case "barricadeMetal":
      type = "barricadeMetal.png";
      properties.pushable = (properties.pushable == undefined) ? false : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    case "barricadeWood":
      type = "barricadeWood.png";
      properties.pushable = (properties.pushable == undefined) ? true : properties.pushable;
      properties.explode = (properties.explode == undefined) ? false : properties.explode;
      break;
    }

    super(texture, xml, xml.findIndex("name", type));
    this.level = level;
    this.pos = pos;
    this.rotation = properties.rotation || 0;

    this.properties = properties;
    console.log(this.properties);

    entity.addDebug(this);
    
    console.log(this.level.players);
  }

  update(dt, t) {
    super.update(dt, t);

  }
}

module.exports = Object;